Bug 17405 - Edit record uses Default framework
Summary: Edit record uses Default framework
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Rodrigo Santellan
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-05 15:52 UTC by Rodrigo Santellan
Modified: 2018-06-04 20:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Remove current_framework. (15.37 KB, text/html)
2016-10-05 15:52 UTC, Rodrigo Santellan
Details
Bug 17405 - The creation of the url on cat-toolbar.inc is using obsolete current_framework (2.82 KB, patch)
2016-10-10 08:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17405 Edit record uses Default framework (3.09 KB, patch)
2016-10-12 09:05 UTC, Frédéric Demians
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 17405 Edit record uses Default framework (3.19 KB, patch)
2016-10-15 14:07 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 17405 Edit record uses Default framework (3.25 KB, patch)
2016-10-18 16:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Rodrigo Santellan 2016-10-05 15:52:00 UTC
Created attachment 56058 [details]
Remove current_framework.

When viewing a biblio the url generated for editing generated is with the parameters: current_framework that is not initialized anywhere.

I remove it from the call edit record and Edit as new (duplicate).
Comment 1 Owen Leonard 2016-10-10 08:25:54 UTC
Created attachment 56083 [details] [review]
Bug 17405 - The creation of the url on cat-toolbar.inc is using obsolete current_framework

When viewing a biblio the url generated for editing generated is with
the parameters: current_framework that is not initialized anywhere. This
patch removes the parameter because it is not necessary

To test, apply the patch and view the detail page for a bibliographic
record which uses a framework other than the default.

Test that the "Edit" and "Edit as new (duplicate)" loads the
MARC editor using the correct framework.
Comment 2 Owen Leonard 2016-10-10 08:29:29 UTC
Rodrigo, I took the attachment you posted and formatted it as a patch. There is information on the wiki about how to create patches:

https://wiki.koha-community.org/wiki/Version_Control_Using_Git#Doing_work_on_Koha_with_Git

Take a look and feel free to ask questions if you need help.
Comment 3 Frédéric Demians 2016-10-12 09:05:52 UTC
Created attachment 56234 [details] [review]
Bug 17405 Edit record uses Default framework

In detail view (catalogue/detail.pl), when clicking on Edit > Edit
record button, the record editor should be opened with the biblio record
framework. It isn't the case. The Default framework is used. Same issue
with Edit > Edit as new (duplicate).

TO TEST:

1. Find a biblio record using a framework which is not the Default one.
2. See the biblio record in detail view (catalogue/detail.pl).
3. Click on Edit > Edit record.
4. Click on Settings => you can see 'Default' as selected framework.
5. Apply the patch.
6. Repeat step 3-4. => the biblio record framework is selected.
7. Repeat 3-4 using Edit > Edit as new (duplicate).

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  Added a test plan
Comment 4 Bernardo Gonzalez Kriegel 2016-10-15 14:07:36 UTC
Created attachment 56564 [details] [review]
[SIGNED-OFF]Bug 17405 Edit record uses Default framework

In detail view (catalogue/detail.pl), when clicking on Edit > Edit
record button, the record editor should be opened with the biblio record
framework. It isn't the case. The Default framework is used. Same issue
with Edit > Edit as new (duplicate).

TO TEST:

1. Find a biblio record using a framework which is not the Default one.
2. See the biblio record in detail view (catalogue/detail.pl).
3. Click on Edit > Edit record.
4. Click on Settings => you can see 'Default' as selected framework.
5. Apply the patch.
6. Repeat step 3-4. => the biblio record framework is selected.
7. Repeat 3-4 using Edit > Edit as new (duplicate).

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  Added a test plan

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Fix the issue, no errors.
Comment 5 Jonathan Druart 2016-10-18 16:09:33 UTC
Created attachment 56626 [details] [review]
Bug 17405 Edit record uses Default framework

In detail view (catalogue/detail.pl), when clicking on Edit > Edit
record button, the record editor should be opened with the biblio record
framework. It isn't the case. The Default framework is used. Same issue
with Edit > Edit as new (duplicate).

TO TEST:

1. Find a biblio record using a framework which is not the Default one.
2. See the biblio record in detail view (catalogue/detail.pl).
3. Click on Edit > Edit record.
4. Click on Settings => you can see 'Default' as selected framework.
5. Apply the patch.
6. Repeat step 3-4. => the biblio record framework is selected.
7. Repeat 3-4 using Edit > Edit as new (duplicate).

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  Added a test plan

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Fix the issue, no errors.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2016-10-21 14:32:44 UTC
Pushed to master for 16.11, thanks Rodrigo!
Comment 7 Frédéric Demians 2016-10-22 13:01:07 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 8 Julian Maurice 2016-10-24 10:41:51 UTC
Pushed in 3.22.x, will be in 3.22.12